Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/ext/ToolbarButton.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/ext/ToolbarButton.java	(revision 0)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/ext/ToolbarButton.java	(revision 653)
@@ -0,0 +1,41 @@
+package org.txm.synopticedition.rcp.editors.ext;
+
+import org.eclipse.swt.widgets.Composite;
+import org.txm.objects.Text;
+import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
+
+public abstract class ToolbarButton {
+
+	protected SynopticEditionEditor editor;
+
+	public ToolbarButton() {}
+	
+	/**
+	 * 
+	 * @param parent
+	 * @param editor
+	 * @return the button to dislay in the bottom toolbar
+	 */
+	public Composite getToolbarButton(Composite parent, SynopticEditionEditor editor) {
+		this.editor = editor;
+		return null;
+	}
+	
+	/**
+	 * Called when the editor is disposed
+	 * 
+	 * @return true is the editor can be closed
+	 */
+	public boolean onClose() {
+		return true;
+	}
+
+	public abstract void save();
+	
+	public abstract boolean isDirty();
+	
+	public abstract void discardChanges();
+
+	public abstract void onBackToText(Text text, String line_wordid);
+
+}
\ No newline at end of file

